program ChromePass;
{$INCLUDE 'ChromePass.inc'}
{$IFDEF CLI}
{$APPTYPE CONSOLE}
{$ENDIF}

{$R *.res}

uses
  SysUtils,
  Windows,
  {$IFDEF CLI}
  uConsoleApp,
  uCLI in 'uCLI.pas',
  {$ELSE}
  Forms,
  uGUI_Main in 'uGUI_Main.pas',
  {$ENDIF}
  uChromePass in 'uChromePass.pas',
  uConsts in 'uConsts.pas';

var
  ErrorMsg: string;

begin
  try
    ExitCode := 0;
    {$IFDEF CLI}
      ExitCode := ExecuteConsoleApp(TChromePassCLI);
      {$IFNDEF FPC}
      {$IFDEF DELPHI7_UP}
        {$WARN SYMBOL_PLATFORM OFF}
      {$ENDIF}
        if DebugHook <> 0 then
          begin
          Writeln;
          Write('Press any key to exit.');
          Readln;
          end;
      {$IFDEF DELPHI7_UP}
        {$WARN SYMBOL_PLATFORM ON}
      {$ENDIF}
      {$ENDIF}
    {$ELSE}
      Application.Initialize;
      Application.Title := 'ChromePass';
  Application.CreateForm(TFormMain, FormMain);
      Application.Run;
    {$ENDIF}
  except
    on E: Exception do
      begin
      ErrorMsg := Format('Exception %s: %s', [E.ClassName, E.Message]);
      {$IFDEF CLI}
      Writeln(ErrorMsg);
      {$ELSE}
      MessageBox(0, PChar(ErrorMsg), 'Error', MB_OK or MB_ICONSTOP);
      {$ENDIF}
      ExitCode := 255;
      end;
    end;
end.

